Apple recuerda a los desarrolladores que todas las aplicaciones enviadas después del 27 de marzo deben ser compatibles con el iPhone XS Max y las resoluciones de iPad Pro de 12.9 ".

Apple recuerda a los desarrolladores que todas las aplicaciones enviadas después del 27 de marzo deben ser compatibles con el iPhone XS Max y las resoluciones de iPad Pro de 12.9 ".
5 (100%) 3 votos

En diciembre pasado, Apple le dio a sus desarrolladores registrados un importante aviso sobre una nueva regla que requiere que todas las nuevas aplicaciones y actualizaciones de aplicaciones para iPhone, incluidas las universales, se construyan con el iOS 12 SDK y sean compatibles con el nuevo iPhone XS Max.

Hoy, la compa√Ī√≠a advirti√≥ a los desarrolladores que todo el software nuevo y actualizado para iPhone enviado a la tienda de aplicaciones a partir del 27 de marzo de 2019 debe ser construido con al menos el iOS 12.1 SDK y es compatible con la nueva resoluci√≥n de 2,688 √ó 1,242 p√≠xeles en el √ļltimo modelo de iPhone XS Max .

Esto significa que cualquier aplicaci√≥n creada contra el √ļltimo SDK se ejecutar√° en modo de pantalla completa en los √ļltimos dispositivos, aprovechando al m√°ximo todos los p√≠xeles.

También se requerirán capturas de pantalla de App Store para estos dispositivos.

Adem√°s, todas las aplicaciones nuevas y actualizadas para iPad, o aplicaciones universales, deben optimizarse para la resoluci√≥n de pantalla nativa del √ļltimo modelo de iPad Pro de 12.9 pulgadas, que tiene la resoluci√≥n m√°s alta de cualquier dispositivo iOS con 2,732 √ó 2,048 p√≠xeles.

Apple explica que las aplicaciones que aprovechan al m√°ximo los dise√Īos adaptables de UI y las inserciones en √°reas seguras deben verse bien en el iPhone XS Max con un esfuerzo m√≠nimo por parte del desarrollador. Los nuevos requisitos est√°n destinados a evitar la proliferaci√≥n de aplicaciones no optimizadas que en iPhones con pantallas m√°s grandes como los Max aparecen hinchados con texto / im√°genes difusas y bordes negros.

Recomendamos:
Esta aplicación gratuita de colaboración en equipo está cambiando la forma en que los equipos trabajan juntos. [sponsored]

Apple también requiere que todas las nuevas aplicaciones y actualizaciones enviadas a watchOS App Store a partir del 27 de marzo se construyan con watchOS 5.1 SDK o posterior y sean compatibles con los relojes Serie 4.

Gracias a su pantalla m√°s grande con esquinas redondeadas, la Serie 4 puede mostrar m√°s informaci√≥n, pero las aplicaciones deben optimizarse para aprovechar al m√°ximo el mayor n√ļmero de p√≠xeles.

Por √ļltimo, pero no menos importante, Apple escribi√≥ esto para aclarar los cambios en la contabilidad de la memoria:

iOS 12 y tvOS 12 requieren aplicaciones para usar la memoria de manera mucho más eficiente que antes. Si tiene dificultades para reducir los requisitos de memoria de su aplicación, contáctenos para solicitar un derecho para que su aplicación utilice la contabilidad de la memoria del estilo de iOS 11.

iOS 12 ahora se ejecuta en m√°s del 80 por ciento de los dispositivos en todo el mundo.


La noticia fue creada por el AUTOR ORIGINAL del link de arriba, auspiciamos al desarrollador original de la noticia sin perjudicar su reputación ni posicionamiento web.